## ford 7.0.11

=== requirements.txt ===
toposort
markdown
tqdm
bs4
graphviz
pygments
jinja2
importlib-metadata

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## ford 7.0.9

=== debian/changelog ===
ford (7.0.9-2) unstable; urgency=medium

  * Build-depend on pybuild-plugin-pyproject.
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Apr 2025 08:18:19 +0100

ford (7.0.9-1) experimental; urgency=medium

  * Move to upstream 7.0.9. Closes: #1063532
  * delete example/example-project-file.md as CC-NC license
  * Update d/copyright for MIT licenses
  * Set Debian Science Maint. as maintainer
  * Standards-Version: 4.7.0; no changes required
  * Build-dep on graphviz, rich, tqdm for testing

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Feb 2025 11:52:58 +0000

ford (7.0.5-1) experimental; urgency=medium

  * Initial release. (Closes: #1063532)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Feb 2024 13:57:03 +0000

=== debian/control ===
Source: ford
Section: utils
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-all,
 pybuild-plugin-pyproject,
 python3-toposort <!nocheck>,
 python3-rich <!nocheck>,
 python3-graphviz <!nocheck>,
 python3-tqdm <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-setuptools-whl,
 python3-markdown-include,
 python3-sphinx <!nodoc>,
 python3-nbsphinx <!nodoc>,
 python3-recommonmark <!nodoc>,
 python3-myst-parser <!nodoc>,
 python3-sphinx-design <!nodoc>
Standards-Version: 4.7.2
Homepage: https://github.com/Fortran-FOSS-Programmers/ford
Vcs-Browser: https://salsa.debian.org/science-team/ford.git
Vcs-Git: https://salsa.debian.org/science-team/ford.git

Package: ford
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends},
  fonts-font-awesome,
  libjs-mathjax,
  libjs-bootstrap,
  libjs-query
Description: Fortran documentation generator
 This is an automatic documentation generator for modern Fortran programs. 
 FORD stands for FORtran Documenter.
 .
 The goal of FORD is to be able to reliably produce documentation 
 for modern Fortran software which is informative and nice to look at. 
 Ford was written due to Doxygen's poor handling of Fortran and the lack
 of comparable alternatives.  The documentation should be easy to write
 and non-obtrusive within the code. 
 .
 While it will never be as feature-rich as Doxygen, hopefully FORD will be
 able to provide a good alternative for documenting Fortran projects.

## ford 7.0.11

=== debian/changelog ===
ford (7.0.11-3) unstable; urgency=medium

  * B-dep on pybuild-plugin-pyproject.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Aug 2025 08:48:59 +0100

ford (7.0.11-2) experimental; urgency=medium

  * Typo: libjs-query -> libjs-jquery in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Jun 2025 15:15:54 +0100

ford (7.0.11-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * pyproject-deprecated.patch: Update project.license

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Jun 2025 10:24:47 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
   fonts-font-awesome,
   libjs-mathjax,
   libjs-bootstrap,
-  libjs-query
+  libjs-jquery
 Description: Fortran documentation generator
  This is an automatic documentation generator for modern Fortran programs. 
  FORD stands for FORtran Documenter.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export PYBUILD_NAME=ford
export PYBUILD_SYSTEM=pyproject
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

# The magic debhelper  rule
%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc


override_dh_auto_install:
	dh_auto_install
	find debian -name *.ttf -delete
	(find debian -name __pycache__ -exec rm -rf {} \; || true)

## ford 7.0.12

=== debian/changelog ===
ford (7.0.12-1) unstable; urgency=medium

  * New upstream release
  * Add watch file
  * Add d/gbp.conf
  * Update d/copyright to satisfy licenserecon
  * d/watch: Move to version 5 syntax
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * pcpp.patch: pcpp preprocessor called pcpp-python in Debian
  * privacy.patch: Use libjs packages rather  than calling websites
  * Depend on libjs-lunr for privacy patch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Jan 2026 10:30:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ford
 Section: utils
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -21,9 +20,9 @@
  python3-recommonmark <!nodoc>,
  python3-myst-parser <!nodoc>,
  python3-sphinx-design <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/Fortran-FOSS-Programmers/ford
-Vcs-Browser: https://salsa.debian.org/science-team/ford.git
+Vcs-Browser: https://salsa.debian.org/science-team/ford
 Vcs-Git: https://salsa.debian.org/science-team/ford.git
 
 Package: ford
@@ -32,7 +31,8 @@
   fonts-font-awesome,
   libjs-mathjax,
   libjs-bootstrap,
-  libjs-jquery
+  libjs-jquery,
+  libjs-lunr
 Description: Fortran documentation generator
  This is an automatic documentation generator for modern Fortran programs. 
  FORD stands for FORtran Documenter.

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,10 @@
 %:
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
+execute_after_dh_auto_clean:
+	rm -rf FORD.egg-info ford/_version.py ford/js/MathJax-config/.gitignore
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	find debian -name *.ttf -delete
 	(find debian -name __pycache__ -exec rm -rf {} \; || true)
+	cp -a ford/favicon.png ford/css ford/js ford/search ford/webfonts ford/templates debian/ford/usr/lib/python*/dist-packages/ford

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/Fortran-FOSS-Programmers/ford
